io.vertx.rxjava3.ext.shell.session

## Class Session

- java.lang.Object
- - io.vertx.rxjava3.ext.shell.session.Session

-     public class Session
      extends Object

  A shell session.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<Session>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Session(Object delegate)`
    `Session(Session delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Session` | `create()` Create a new empty session.
    `boolean` | `equals(Object o)`
    `<T> T` | `get(String key)` Get some data from the session
    `Session` | `getDelegate()`
    `int` | `hashCode()`
    `static Session` | `newInstance(Session arg)`
    `Session` | `put(String key, Object obj)` Put some data in a session
    `<T> T` | `remove(String key)` Remove some data from the session
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<Session> __TYPE_ARG

  - ### Constructor Detail

    - #### Session

          public Session(Session delegate)

    - #### Session

          public Session(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public Session getDelegate()

    - #### create

          public static Session create()

      Create a new empty session.
      Returns:
        the created session

    - #### put

          public Session put(String key,
                             Object obj)

      Put some data in a session
      Parameters:
        `key` - the key for the data
        `obj` - the data
      Returns:
        a reference to this, so the API can be used fluently

    - #### get

          public <T> T get(String key)

      Get some data from the session
      Parameters:
        `key` - the key of the data
      Returns:
        the data

    - #### remove

          public <T> T remove(String key)

      Remove some data from the session
      Parameters:
        `key` - the key of the data
      Returns:
        the data that was there or null if none there

    - #### newInstance

          public static Session newInstance(Session arg)

Copyright © 2021 Eclipse. All rights reserved.